#include <stdlib.h>
#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/wdt.h>
#include <util/delay.h>

#define bit_set(port,bit)       { port |= (1<<(bit));}
#define bit_clear(port,bit)     { port &= ~(1<<(bit));}
#define min(a,b)                ((a)<(b) ? (a):(b))

#define nop()   __asm__ volatile ("nop" )
#define wdr()   __asm__ volatile("wdr" )
#define sleep()   __asm__ volatile("sleep" )

void t_mul1a(int16_t in, int16_t *out, int8_t i, uint8_t b) {
	*out = (in / (16-i)) * b;
//	*out +=  0x2562;
	return;
}

void t_mul1b(int16_t in, int16_t *out) {
	*out = in  * 3;
//	*out +=  0x2562;
	return;
}
